
//
//   ()...:PIC24FJ128GA010 (10  = 20_HC); : 	_CONFIG1(0x3F7F);
//																																_CONFIG2(0xF9DF); 
//	 ....:MPLAB C30 v3.23
//


#include 	<p24FJ128GA010.h>
#include 	<time.h>
#include 	<uart.h>
#include 	<spi.h>
#include	<i2c.h>
#include 	<math.h>
#include 	<adc.h>
#include 	"main.h"
#include 	"periferial.h"

_CONFIG1(JTAGEN_OFF 	& 		//. JTAG
				 GCP_OFF 			& 		//   .	
				 GWRP_OFF 		&			//   .
				 //BKBUG_OFF		&
				 FWDTEN_ON 		&			//  watchdog
				 COE_OFF			&			//
				 ICS_PGx1			&			 
				 FWDTEN_OFF		&			//. watchdog
				 WINDIS_OFF 	&			//   watchdog( "" .)			
				 FWPSA_PR32 	&			//  watchdog 1:32
				 WDTPS_PS8)       	//  watchdog 1:8*/				 


_CONFIG2(IESO_OFF 		&			//   / : 				 
				 FNOSC_PRI    &			//    HS  PLL 
				 FCKSM_CSDCMD & 		//      : .
				 OSCIOFNC_OFF & 		// OSCO    IO
				 POSCMOD_HS) 	 			//  HS*/
/*
_CONFIG3(WPEND_WPENDMEM	& 	//
				 WPCFG_WPCFGEN  &		//
				 WPDIS_WPEN			&   //
				 WPFP_WPFP0)				//
*/
int main(void)
{		
	RCONbits.SWDTEN = 0;		// WDT
	CLKDIVbits.RCDIV  = 0;	//   "0"(Fcy=10M);
	//AD1PCFG = 0xFFFF;			//.  																
	ADCinit();
	//portinit128GA010();			// 	
	EnableADC1;							// ADC1
	
	while(1)
	{	
		
		T = adcread_Extchan_mV(ADC_4);		
		Delay_ms(100);	
	}	
	return(0);
}

void portinit128GA010(void)
{
	//A  =FE*C*A9*76543210=  	"*"- 
	PORTA = 0b0000000000000000;  	
	TRISA = 0b1111111111111111; 	
	//ODCB  = 0b0000000000000000; 
	
	//  =FEDCBA9876543210=  	"*"- 
	PORTB = 0b0000000000000000;		
	TRISB = 0b1111111111111111; 	
	//ODCB  = 0b0000000000000000;
	
	//C  =FEDC*******4321*=		"*"-  		
	PORTC = 0b0000000000000000;		
	TRISC = 0b1111111111111111; 	
	//ODCC  = 0b0000000000000000;
	
	//D  =FEDCBA9876543210=		"*"- 
	PORTD = 0b0000000000000000;		
	TRISD = 0b0111111111111111; 	
	//ODCD  = 0b0000000000000000;
	
	//E  =******9876543210=		"*"- 
	PORTE = 0b0000000000000000;		
	TRISE = 0b1111111111111111; 	
	//ODCE  = 0b0000000000000000;
	
	//F  =**DC***876543210=		"*"- 
	PORTF = 0b0000000000000000;		
	TRISF = 0b1111111111111111; 	
	//ODCF  = 0b0000000000000000;
	
	//G  =FEDC**9876**3210=		"*"- 
	PORTG = 0b0000000000000000;		
	TRISG = 0b1111111111111111; 	
	//ODCG  = 0b0000000000000000;	
}	


/* !!!
void __attribute__ ((interrupt, no_auto_psv)) _U1RXInterrupt(void)
{	
	//... 
	
	t = ReadUART1();
	ReadUART1();					//  
	ReadUART1();
	ReadUART1();
	
	
	BUF_UART[0]=ReadUART1();
	BUF_UART[1]=ReadUART1();
	BUF_UART[2]=ReadUART1();
	BUF_UART[3]=ReadUART1();
		

	//IFS0bits.U1RXIF = 0; 	//  	
}*/




